ArchLinux 启用旧版软件包

ArchLinux 启用旧版软件包

AUR 里最新的百度网盘有些问题,为了不影响正常使用,可以降级为老版本,然后在 pacman 更新时忽略这些包

除此之外,有些不想更新,或者更新后容易出问题的包也可以在更新时排除
比如:

  • Pytorch 依赖特定版本的 Cuda 和 Cudnn
  • deepin-wine-wechat 和 com.qq.tim.spark

通过 Arch Archive 安装旧包

Arch Archive 提供了各个版本的软件包的历史,只需要下载完安装即可

1
paru -U 软件包

比如 Cuda 的历史版本

通过 PKGBUILD 安装旧包

AUR搜索需要的软件包-View Changes-选择合适的版本-download

下载下来后解压,在 PKGBUILD 所在文件夹下

1
makepkg -si

忽略软件包更新

编辑/etc/pacman.conf

1
2
# 取消注释
IgnorePkg = cuda cudnn deepin-wine-wechat com.qq.tim.spark baidunetdisk-electron
作者

Meow-2

发布于

2022-11-28

更新于

2022-12-13


评论